package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_CRACK_DETECTION_ET所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2018-12-27
 */
@SuppressWarnings("serial")
public class HttCrackDetectionEtEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号  (没用)
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 探伤类型
     */
    private String testingType = "";
    /**
     * 探伤支数(通用)
     */
    private String testingNum = "";
    /**
     * 合格支数(管体)
     */
    private String passNum = "";
    /**
     * 可疑支数(管体)
     */
    private String dubiousNum = "";
    /**
     * 复探支数(管体)
     */
    private String ftestingNum = "";
    /**
     * 复探合格支数(管体)
     */
    private String fpassNum = "";
    /**
     * 可疑原因(管体)
     */
    private String ftestingReason = "";
    /**
     * 最终合格支数(管体)
     */
    private String epassNum = "";
    /**
     * 最终废品支数(管体)
     */
    private String ewasteNum = "";
    /**
     * 废品原因(通用)
     */
    private String ewasteReason = "";
    /**
     * 操作时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 热处理次数
     */
    private String processSeq = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 合格支数(管端)
     */
    private String manualPassNum = "";
    /**
     * 修磨复探合格支数(管端)
     */
    private String manualFtestingNum = "";
    /**
     * 判切支数(管端)
     */
    private String rejectedNum = "";
    /**
     * 最终合格支数(管端)
     */
    private String finalNum = "";
    /**
     * 判废支数(管端)
     */
    private String rejectNum = "";
    /**
     * 废品总米长(管端)
     */
    private String totalFailLen = "";
    /**
     * 废品重量 (通用)
     */
    private String ewasteWt = "";
    /**
     * 探伤重量 (通用)
     */
    private String testingWt = "";
    /**
     * 合格支数 (仅涡流用)
     */
    private String passNumEt = "";
    /**
     * 可疑支数 (仅涡流用)
     */
    private String dubiousNumEt = "";
    /**
     * 复探支数 (仅涡流用)
     */
    private String ftestingNumEt = "";
    /**
     * 复探合格支数 (仅涡流用)
     */
    private String fpassNumEt = "";
    /**
     * 最终合格支数 (仅涡流用)
     */
    private String epassNumEt = "";
    /**
     * 最终废品支数 (仅涡流用)
     */
    private String ewasteNumEt = "";
    /**
     * 待判支数(管体)
     */
    private String pendingNum = "";
    /**
     * 样管刻槽信息 (没用)
     */
    private String notchInfo = "";
    /**
     * 槽长
     */
    private String notchLength = "";
    /**
     * 槽宽
     */
    private String notchWidth = "";
    /**
     * 槽深
     */
    private String notchDepth = "";
    /**
     * 0-初探 1-复探 (待判支  返线默认复探, 组炉默认复探）
     */
    private String testingTime = "";
    /**
     * 机器编号
     */
    private String machineNo = "";
    /**
     * 探伤等级
     */
    private String testingGrade = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 不合原因(管端)
     */
    private String disqualifiedReason = "";
    /**
     * 切合支数(管端)
     */
    private String qualifiedNumAfterCut = "";
    /**
     * 不合支数(管端)
     */
    private String disqualifiedNum = "";
    /**
     * 报表模板 0：管体超声UT 1：管端手探超声UT   4涡流ET   10: 管端超声UT  11: 管端手动磁粉MT 12:管端磁粉MT  13螺纹磁粉MT  14:管端电磁声EMAT  15:
     */
    private String reportNo = "";
    /**
     * 0- 管体 1-管端
     */
    private String testingPosition = "";
    /**
     * 探伤标准
     */
    private String testingStandard = "";
    /**
     * 结束时间
     */
    private String colEndTime = "";
    /**
     * 作业单位
     */
    private String workUnit = "";

    /**
     * 作业单位
     * @return value
     */
    public String getWorkUnit() {
        return workUnit;
    }

    /**
     * 作业单位
     * @param workUnit value
     */
    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }



    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号  (没用)
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号  (没用)
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 探伤类型
     * @return value
     */
    public String getTestingType() {
        return testingType;
    }

    /**
     * 探伤类型
     * @param testingType value
     */
    public void setTestingType(String testingType) {
        this.testingType = testingType;
    }

    /**
     * 探伤支数(通用)
     * @return value
     */
    public String getTestingNum() {
        return testingNum;
    }

    /**
     * 探伤支数(通用)
     * @param testingNum value
     */
    public void setTestingNum(String testingNum) {
        this.testingNum = testingNum;
    }

    /**
     * 合格支数(管体)
     * @return value
     */
    public String getPassNum() {
        return passNum;
    }

    /**
     * 合格支数(管体)
     * @param passNum value
     */
    public void setPassNum(String passNum) {
        this.passNum = passNum;
    }

    /**
     * 可疑支数(管体)
     * @return value
     */
    public String getDubiousNum() {
        return dubiousNum;
    }

    /**
     * 可疑支数(管体)
     * @param dubiousNum value
     */
    public void setDubiousNum(String dubiousNum) {
        this.dubiousNum = dubiousNum;
    }

    /**
     * 复探支数(管体)
     * @return value
     */
    public String getFtestingNum() {
        return ftestingNum;
    }

    /**
     * 复探支数(管体)
     * @param ftestingNum value
     */
    public void setFtestingNum(String ftestingNum) {
        this.ftestingNum = ftestingNum;
    }

    /**
     * 复探合格支数(管体)
     * @return value
     */
    public String getFpassNum() {
        return fpassNum;
    }

    /**
     * 复探合格支数(管体)
     * @param fpassNum value
     */
    public void setFpassNum(String fpassNum) {
        this.fpassNum = fpassNum;
    }

    /**
     * 可疑原因(管体)
     * @return value
     */
    public String getFtestingReason() {
        return ftestingReason;
    }

    /**
     * 可疑原因(管体)
     * @param ftestingReason value
     */
    public void setFtestingReason(String ftestingReason) {
        this.ftestingReason = ftestingReason;
    }

    /**
     * 最终合格支数(管体)
     * @return value
     */
    public String getEpassNum() {
        return epassNum;
    }

    /**
     * 最终合格支数(管体)
     * @param epassNum value
     */
    public void setEpassNum(String epassNum) {
        this.epassNum = epassNum;
    }

    /**
     * 最终废品支数(管体)
     * @return value
     */
    public String getEwasteNum() {
        return ewasteNum;
    }

    /**
     * 最终废品支数(管体)
     * @param ewasteNum value
     */
    public void setEwasteNum(String ewasteNum) {
        this.ewasteNum = ewasteNum;
    }

    /**
     * 废品原因(通用)
     * @return value
     */
    public String getEwasteReason() {
        return ewasteReason;
    }

    /**
     * 废品原因(通用)
     * @param ewasteReason value
     */
    public void setEwasteReason(String ewasteReason) {
        this.ewasteReason = ewasteReason;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 操作时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 热处理次数
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 热处理次数
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 合格支数(管端)
     * @return value
     */
    public String getManualPassNum() {
        return manualPassNum;
    }

    /**
     * 合格支数(管端)
     * @param manualPassNum value
     */
    public void setManualPassNum(String manualPassNum) {
        this.manualPassNum = manualPassNum;
    }

    /**
     * 修磨复探合格支数(管端)
     * @return value
     */
    public String getManualFtestingNum() {
        return manualFtestingNum;
    }

    /**
     * 修磨复探合格支数(管端)
     * @param manualFtestingNum value
     */
    public void setManualFtestingNum(String manualFtestingNum) {
        this.manualFtestingNum = manualFtestingNum;
    }

    /**
     * 判切支数(管端)
     * @return value
     */
    public String getRejectedNum() {
        return rejectedNum;
    }

    /**
     * 判切支数(管端)
     * @param rejectedNum value
     */
    public void setRejectedNum(String rejectedNum) {
        this.rejectedNum = rejectedNum;
    }

    /**
     * 最终合格支数(管端)
     * @return value
     */
    public String getFinalNum() {
        return finalNum;
    }

    /**
     * 最终合格支数(管端)
     * @param finalNum value
     */
    public void setFinalNum(String finalNum) {
        this.finalNum = finalNum;
    }

    /**
     * 判废支数(管端)
     * @return value
     */
    public String getRejectNum() {
        return rejectNum;
    }

    /**
     * 判废支数(管端)
     * @param rejectNum value
     */
    public void setRejectNum(String rejectNum) {
        this.rejectNum = rejectNum;
    }

    /**
     * 废品总米长(管端)
     * @return value
     */
    public String getTotalFailLen() {
        return totalFailLen;
    }

    /**
     * 废品总米长(管端)
     * @param totalFailLen value
     */
    public void setTotalFailLen(String totalFailLen) {
        this.totalFailLen = totalFailLen;
    }

    /**
     * 废品重量 (通用)
     * @return value
     */
    public String getEwasteWt() {
        return ewasteWt;
    }

    /**
     * 废品重量 (通用)
     * @param ewasteWt value
     */
    public void setEwasteWt(String ewasteWt) {
        this.ewasteWt = ewasteWt;
    }

    /**
     * 探伤重量 (通用)
     * @return value
     */
    public String getTestingWt() {
        return testingWt;
    }

    /**
     * 探伤重量 (通用)
     * @param testingWt value
     */
    public void setTestingWt(String testingWt) {
        this.testingWt = testingWt;
    }

    /**
     * 合格支数 (仅涡流用)
     * @return value
     */
    public String getPassNumEt() {
        return passNumEt;
    }

    /**
     * 合格支数 (仅涡流用)
     * @param passNumEt value
     */
    public void setPassNumEt(String passNumEt) {
        this.passNumEt = passNumEt;
    }

    /**
     * 可疑支数 (仅涡流用)
     * @return value
     */
    public String getDubiousNumEt() {
        return dubiousNumEt;
    }

    /**
     * 可疑支数 (仅涡流用)
     * @param dubiousNumEt value
     */
    public void setDubiousNumEt(String dubiousNumEt) {
        this.dubiousNumEt = dubiousNumEt;
    }

    /**
     * 复探支数 (仅涡流用)
     * @return value
     */
    public String getFtestingNumEt() {
        return ftestingNumEt;
    }

    /**
     * 复探支数 (仅涡流用)
     * @param ftestingNumEt value
     */
    public void setFtestingNumEt(String ftestingNumEt) {
        this.ftestingNumEt = ftestingNumEt;
    }

    /**
     * 复探合格支数 (仅涡流用)
     * @return value
     */
    public String getFpassNumEt() {
        return fpassNumEt;
    }

    /**
     * 复探合格支数 (仅涡流用)
     * @param fpassNumEt value
     */
    public void setFpassNumEt(String fpassNumEt) {
        this.fpassNumEt = fpassNumEt;
    }

    /**
     * 最终合格支数 (仅涡流用)
     * @return value
     */
    public String getEpassNumEt() {
        return epassNumEt;
    }

    /**
     * 最终合格支数 (仅涡流用)
     * @param epassNumEt value
     */
    public void setEpassNumEt(String epassNumEt) {
        this.epassNumEt = epassNumEt;
    }

    /**
     * 最终废品支数 (仅涡流用)
     * @return value
     */
    public String getEwasteNumEt() {
        return ewasteNumEt;
    }

    /**
     * 最终废品支数 (仅涡流用)
     * @param ewasteNumEt value
     */
    public void setEwasteNumEt(String ewasteNumEt) {
        this.ewasteNumEt = ewasteNumEt;
    }

    /**
     * 待判支数(管体)
     * @return value
     */
    public String getPendingNum() {
        return pendingNum;
    }

    /**
     * 待判支数(管体)
     * @param pendingNum value
     */
    public void setPendingNum(String pendingNum) {
        this.pendingNum = pendingNum;
    }

    /**
     * 样管刻槽信息 (没用)
     * @return value
     */
    public String getNotchInfo() {
        return notchInfo;
    }

    /**
     * 样管刻槽信息 (没用)
     * @param notchInfo value
     */
    public void setNotchInfo(String notchInfo) {
        this.notchInfo = notchInfo;
    }

    /**
     * 槽长
     * @return value
     */
    public String getNotchLength() {
        return notchLength;
    }

    /**
     * 槽长
     * @param notchLength value
     */
    public void setNotchLength(String notchLength) {
        this.notchLength = notchLength;
    }

    /**
     * 槽宽
     * @return value
     */
    public String getNotchWidth() {
        return notchWidth;
    }

    /**
     * 槽宽
     * @param notchWidth value
     */
    public void setNotchWidth(String notchWidth) {
        this.notchWidth = notchWidth;
    }

    /**
     * 槽深
     * @return value
     */
    public String getNotchDepth() {
        return notchDepth;
    }

    /**
     * 槽深
     * @param notchDepth value
     */
    public void setNotchDepth(String notchDepth) {
        this.notchDepth = notchDepth;
    }

    /**
     * 0-初探 1-复探 (待判支  返线默认复探, 组炉默认复探）
     * @return value
     */
    public String getTestingTime() {
        return testingTime;
    }

    /**
     * 0-初探 1-复探 (待判支  返线默认复探, 组炉默认复探）
     * @param testingTime value
     */
    public void setTestingTime(String testingTime) {
        this.testingTime = testingTime;
    }

    /**
     * 机器编号
     * @return value
     */
    public String getMachineNo() {
        return machineNo;
    }

    /**
     * 机器编号
     * @param machineNo value
     */
    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    /**
     * 探伤等级
     * @return value
     */
    public String getTestingGrade() {
        return testingGrade;
    }

    /**
     * 探伤等级
     * @param testingGrade value
     */
    public void setTestingGrade(String testingGrade) {
        this.testingGrade = testingGrade;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 不合原因(管端)
     * @return value
     */
    public String getDisqualifiedReason() {
        return disqualifiedReason;
    }

    /**
     * 不合原因(管端)
     * @param disqualifiedReason value
     */
    public void setDisqualifiedReason(String disqualifiedReason) {
        this.disqualifiedReason = disqualifiedReason;
    }

    /**
     * 切合支数(管端)
     * @return value
     */
    public String getQualifiedNumAfterCut() {
        return qualifiedNumAfterCut;
    }

    /**
     * 切合支数(管端)
     * @param qualifiedNumAfterCut value
     */
    public void setQualifiedNumAfterCut(String qualifiedNumAfterCut) {
        this.qualifiedNumAfterCut = qualifiedNumAfterCut;
    }

    /**
     * 不合支数(管端)
     * @return value
     */
    public String getDisqualifiedNum() {
        return disqualifiedNum;
    }

    /**
     * 不合支数(管端)
     * @param disqualifiedNum value
     */
    public void setDisqualifiedNum(String disqualifiedNum) {
        this.disqualifiedNum = disqualifiedNum;
    }

    /**
     * 报表模板 0：管体超声UT 1：管端手探超声UT   4涡流ET   10: 管端超声UT  11: 管端手动磁粉MT 12:管端磁粉MT  13螺纹磁粉MT  14:管端电磁声EMAT  15:
     * @return value
     */
    public String getReportNo() {
        return reportNo;
    }

    /**
     * 报表模板 0：管体超声UT 1：管端手探超声UT   4涡流ET   10: 管端超声UT  11: 管端手动磁粉MT 12:管端磁粉MT  13螺纹磁粉MT  14:管端电磁声EMAT  15:
     * @param reportNo value
     */
    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    /**
     * 0- 管体 1-管端
     * @return value
     */
    public String getTestingPosition() {
        return testingPosition;
    }

    /**
     * 0- 管体 1-管端
     * @param testingPosition value
     */
    public void setTestingPosition(String testingPosition) {
        this.testingPosition = testingPosition;
    }

    /**
     * 探伤标准
     * @return value
     */
    public String getTestingStandard() {
        return testingStandard;
    }

    /**
     * 探伤标准
     * @param testingStandard value
     */
    public void setTestingStandard(String testingStandard) {
        this.testingStandard = testingStandard;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getColEndTime() {
        return colEndTime;
    }

    /**
     * 结束时间
     * @param colEndTime value
     */
    public void setColEndTime(String colEndTime) {
        this.colEndTime = colEndTime;
    }
}